petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMDAVTKWriteAll

Write a file containing all the fields that have been provided to the viewer

### Synopsis

    PetscErrorCode DMDAVTKWriteAll(PetscObject odm,PetscViewer viewer)

Collective

### Input Arguments

odm - DM specifying the grid layout, passed as a PetscObject viewer - viewer of type VTK

### Notes

This function is a callback used by the VTK viewer to actually write the file. The reason for this odd model is that the VTK file format does not provide any way to write one field at a time. Instead, metadata for the entire file needs to be available up-front before you can start writing the file.

If any fields have been named (see e.g. DMDASetFieldName()), then individual scalar fields are written. Otherwise, a single multi-dof (vector) field is written.

### See Also

PETSCVIEWERVTK

### Level

developer

### Location

src/dm/impls/da/grvtk.c

### Implementations

DMDAVTKWriteAll_VTS in src/dm/impls/da/grvtk.c
DMDAVTKWriteAll_VTR in src/dm/impls/da/grvtk.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages